RingBuffer Class Reference

`#include <RingBuffer.h>`

## Public Member Functions

| RingBuffer ()
| Default constructor, buffer has a size DEFAULT_BUFFER_SIZE.
virtual | ~RingBuffer ()
int | isFull ()
| Returns 1 (true) if the buffer is full.
int | isEmpty ()
| Returns 1 (true) if the buffer is empty.
void | write (int value)
| Write a value into the buffer.
int | read ()
| Read a value from the buffer.

## Detailed Description

Class RingBuffer implements a circular buffer of fixed size (must be power of 2) Code adapted from http://en.wikipedia.org/wiki/Circular_buffer#Mirroring

## Constructor & Destructor Documentation

## ~RingBuffer()

virtual RingBuffer::~RingBuffer | ( |  | ) |

virtual

Default destructor

The documentation for this class was generated from the following file:

- RingBuffer.h